Choose the sandbox account to use for certification
curl --request POST \
--url https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>"
}
'import requests
url = "https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account"
payload = { "accountId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>'})
};
fetch('https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"nomination": {
"sourceId": "<string>",
"accountId": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"nominatedByUserId": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Choose the sandbox account to use for certification
Verify and choose one Source-reported active sandbox account for live-traffic certification. Any user who can manage this seller’s sources can choose it, including Scope3 staff acting in the seller account.
POST
/
inventory-sources
/
{sourceId}
/
certification-sandbox-account
Choose the sandbox account to use for certification
curl --request POST \
--url https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>"
}
'import requests
url = "https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account"
payload = { "accountId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>'})
};
fetch('https://api.apostra.com/api/v2/storefront/inventory-sources/{sourceId}/certification-sandbox-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"nomination": {
"sourceId": "<string>",
"accountId": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"nominatedByUserId": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Body
application/json
The seller account id reported by this Source with sandbox: true.
Required string length:
1 - 512Response
Choose the sandbox account to use for certification
Durable receipt returned after choosing the certification sandbox account.
The certification sandbox account currently stored for live-traffic certification.
Show child attributes
Show child attributes